Bug 837104 - [abrt]: WARNING: at lib/list_debug.c:32 __list_add+0x8f/0xa0() ath_rx_tasklet
[abrt]: WARNING: at lib/list_debug.c:32 __list_add+0x8f/0xa0() ath_rx_tasklet
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-02 15:46 EDT by Noe Nieto
Modified: 2012-08-30 16:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-30 16:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Noe Nieto 2012-07-02 15:46:26 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-1.fc16.x86_64 root=/dev/mapper/vg_hormigagris-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_hormigagris/lv_root quiet pcie_aspm=force i915.i915_enable_rc6=1 acpi_osi=Linux acpi_backlight=vendor SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=es_ES.UTF-8 KEYTABLE=es rd.lvm.lv=vg_hormigagris/lv_swap

:WARNING: at lib/list_debug.c:32 __list_add+0x8f/0xa0()
:Hardware name: Aspire S3
:list_add corruption. prev->next should be next (ffff8801479ca798), but was ffff8801479e8248. (prev=ffff8801479e8248).
:Modules linked in: bnep tcp_lp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_realtek arc4 ath9k mac80211 ath9k_common ath9k_hw btusb snd_hda_intel snd_hda_codec uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops ath acer_wmi coretemp snd_usb_audio i2c_i801 snd_seq snd_pcm bluetooth mei(O) snd_hwdep snd_usbmidi_lib snd_rawmidi snd_timer snd_seq_device snd soundcore snd_page_alloc uinput joydev microcode iTCO_wdt iTCO_vendor_support cfg80211 sparse_keymap rfkill crc32c_intel ghash_clmulni_intel wmi rts5139(O) i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Tainted: G           O 3.4.2-1.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057ad6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812d2c6f>] __list_add+0x8f/0xa0
: [<ffffffffa0441ab1>] ath_rx_tasklet+0x281/0x1bb0 [ath9k]
: [<ffffffff812da690>] ? map_single+0x60/0x60
: [<ffffffffa043bd15>] ? ath9k_ioread32+0x35/0x90 [ath9k]
: [<ffffffffa043ff64>] ath9k_tasklet+0xf4/0x170 [ath9k]
: [<ffffffff8105f474>] tasklet_action+0x64/0xe0
Comment 1 Noe Nieto 2012-07-02 15:48:28 EDT
This traceback is present in newer versions of linux kernel. It does not crash with 3.3.6-3
Comment 2 Stanislaw Gruszka 2012-07-10 08:34:02 EDT
Looks similar like bug 832927, try if this still happen on 3.4.4-4.fc16
Comment 3 Noe Nieto 2012-07-11 11:04:54 EDT
It's been 10 hours since I started running 3.4.4-4.fc16 and no crash. I'll keep running it some more before closing this bug.
Comment 4 Stanislaw Gruszka 2012-07-11 18:14:09 EDT
How much time it took before to hit the problem? Are you running kernel-debug variant? If not plese install it, it include various internel checks, which should catch any problem if such still persist.
Comment 5 Stanislaw Gruszka 2012-08-30 16:42:38 EDT
Ok, problem seems to be fixed now.

Note You need to log in before you can comment on or make changes to this bug.